server:
  port: 8086
spring:
  application:
    name: zuul-server
  cloud:
    config:
      name: zuul
      profile: test
      label: master
#      uri: http://localhost:7001/
      discovery:
        enabled: true
        serviceId: config-server
  session:
    store-type: jdbc
#  datasource:
#    url: jdbc:mysql://rm-uf6z3z6jq11x653d77o.mysql.rds.aliyuncs.com:3306/smart_community?useUnicode=true&characterEncoding=UTF-8&allowMultiQueries=true
#    username: root
#    password: DQ@0lW##kBb2+-jPZC1s$Ma0h5$9W((q
#    driver-class-name: com.mysql.jdbc.Driver
  servlet:
    multipart:
      max-file-size: 10MB
      max-request-size: 50MB
eureka:
  client:
    service-url:
      defaultZone: http://localhost:8080/eureka/

zuul:
  host:
    connect-timeout-millis: 180000
    socket-timeout-millis: 180000
hystrix:
  command:
    default:
      execution:
        isolation:
          thread:
            timeoutInMilliseconds: 180000

ribbon:
  ReadTimeout: 38000
  ConnectTimeout: 38000
  eureka.enabled: true


## Mybatis
mybatis:
  typeAliasesPackage: com.community.huiju.model
  mapperLocations: classpath:mapper/*.xml
  configuration:
    call-setters-on-nulls: true


